NX Open C++ Reference Guide
|
Represents a @link Features::SmoothSpline Features::SmoothSpline@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSmoothSplineBuilder Features::FeatureCollection::CreateSmoothSplineBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Types { TypesCurvature, TypesCurvatureVariation } |
This enum represents the Smoothing Type option. More... | |
Public Member Functions | |
NXOpen::SelectCurve * | Curve () |
Returns the curve Created in NX6.0.0. | |
NXOpen::GeometricUtilities::CurveRangeBuilder * | CurveRange () |
Returns the curve range Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | EndConstraint () |
Returns the end constraint Created in NX6.0.0. | |
int | ModificationPercentage () |
Returns the modification percentage Created in NX6.0.0. | |
void | SetModificationPercentage (int modificationPercentage) |
Sets the modification percentage Created in NX6.0.0. | |
void | SetSmoothingFactor (int smoothingFactor) |
Sets the smoothing factor Created in NX6.0.0. | |
void | SetType (NXOpen::Features::SmoothSplineBuilder::Types type) |
Sets the type Created in NX6.0.0. | |
int | SmoothingFactor () |
Returns the smoothing factor Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | StartConstraint () |
Returns the start constraint Created in NX6.0.0. | |
NXOpen::Features::SmoothSplineBuilder::Types | Type () |
Returns the type Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SmoothSpline Features::SmoothSpline@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSmoothSplineBuilder Features::FeatureCollection::CreateSmoothSplineBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CurveRange.AnchorPosition |
Start |
ModificationPercentage |
100 |
SmoothingFactor |
1 |
Created in NX6.0.0.
NXOpen::SelectCurve* NXOpen::Features::SmoothSplineBuilder::Curve | ( | ) |
Returns the curve
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::SmoothSplineBuilder::CurveRange | ( | ) |
Returns the curve range
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SmoothSplineBuilder::EndConstraint | ( | ) |
Returns the end constraint
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::SmoothSplineBuilder::ModificationPercentage | ( | ) |
Returns the modification percentage
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SmoothSplineBuilder::SetModificationPercentage | ( | int | modificationPercentage | ) |
Sets the modification percentage
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
modificationPercentage | modificationpercentage |
void NXOpen::Features::SmoothSplineBuilder::SetSmoothingFactor | ( | int | smoothingFactor | ) |
Sets the smoothing factor
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
smoothingFactor | smoothingfactor |
void NXOpen::Features::SmoothSplineBuilder::SetType | ( | NXOpen::Features::SmoothSplineBuilder::Types | type | ) |
Sets the type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
type | type |
int NXOpen::Features::SmoothSplineBuilder::SmoothingFactor | ( | ) |
Returns the smoothing factor
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SmoothSplineBuilder::StartConstraint | ( | ) |
Returns the start constraint
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SmoothSplineBuilder::Types NXOpen::Features::SmoothSplineBuilder::Type | ( | ) |
Returns the type
Created in NX6.0.0.
License requirements : None